Vim Cluster Vsan Vc Disk Management System Retrieve All Flash Capabilities

Vim Cluster Vsan Vc Disk Management System Retrieve All Flash Capabilities
Retrieve capabilities for hosts reside in specified cluster, to figure out whether all flash disk group is supported by hosts' ESXi softwares, and whether they are licensed.

Retrieve capabilities for hosts reside in specified cluster, to figure out whether all flash disk group is supported by hosts' ESXi softwares, and whether they are licensed.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VimClusterVsanVcDiskManagementSystem/{moId}/RetrieveAllFlashCapabilities
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VimClusterVsanVcDiskManagementSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RetrieveAllFlashCapabilitiesRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

Target cluster, of which hosts' capabilities will be queried;

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

vim.vsan.host.VsanHostCapability[]

[
    {
        "_typeName": "string",
        "host": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "isSupported": false,
        "isLicensed": false
    }
]
array of object
Optional

vSAN feature capability of specific host.

It is used to for a specific vSAN feature, to present whether it is supported by software and license.


500

Failure

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VimClusterVsanVcDiskManagementSystem/{moId}/RetrieveAllFlashCapabilities